Spanish (SOLUCIONADO) AndroidX

cas6678

Active Member
Licensed User
Hola a todos,

Intentando hacer cosas con Firebase & Firestore y siguiendo las instrucciones de @Erel y @DonManfred tuve que pasarme a Android X para poder hacerlo funcionar, y lo logre.

El problema que me encuentro ahora es que algunas de las aplicaciones viejas no han actualizado las librerias que utilizaban, o al menos no lo han hecho de forma automatica y no puedo hacer funcionar las aplicaciones.

A falta de alguna idea mejor se me ocurren dos posibles soluciones:

1) Encontrar como actualizar las librerias para que funcionen con AndroidX, en mi caso tengo problemas con estas:
gestures
osmdroid_3_0_8
osmdroid_3_0_8mapsforgetilesource

2) Volver a la forma de funcionar previa a instalar AndroidX

Alguna idea de como hacer las dos cosas anteriores o alguna idea mejor?

Saludos.
 

drgottjr

Well-Known Member
Licensed User
ha dicho el mago, "Note that most libraries will not produce an androidx lib" (o sea, la mayoría de las librerías no producen versión androidx). en mi carpeta de librerías adicionales, donde se puede ver las versiones viejas y sus correspondientes versiones androidx, no hay versiones androidx para las que has mencionado. en mi caso, uso gestures en una app firebase. no creo que gestures haya sido "actualizado" a androidx. perdona si no veo bien tu problema.
 

Attachments

cas6678

Active Member
Licensed User
Pues mi problema es que tengo (ahora) configurado para compilar con AndroidX y cuando vuelvo a programas anteriores que contienen esas librerias de mi ejemplo no puedo trabajar con ellos. (las llamadas quedan en rojo porque evidentemente no tienen la libreria)

Es decir que me has contestado la primera opcion. De momento hay librerias que no trabajan en AndroidX y no hay opciones similares, ok.

Entonces solo me queda la segunda opcion. ¿Como hago para volver a configurar b4a para que no trabaje con AndroidX y lo haga como antes donde las librerias si funcionaban? Supongo que habra que configurar algo de las rutas pero no lo veo....

Gracias.
 

drgottjr

Well-Known Member
Licensed User
por lo visto es posible volver atrás: volver
pero creo que necesitas la ayuda de alguien que ya lo habrá hecho (si existe). u otra computadora. puede haber un lío enorme. me retiro. suerte.
 

José J. Aguilar

Well-Known Member
Licensed User
Hola cas6678:

No entiendo bien lo que dices.
Esas librerías no son de AndroidX, son de B4A, por tanto, si te sale la línea en rojo es porque no la tienes seleccionada, no?
Por ejemplo, he supuesto con "gestures" te refieres a esta librería:

He descargado el ejemplo, y se ha ejecutado bien.

1584462367956.png


Supongo al probarlo, que te refieres a que al ejecutar la app en el móvil, te indica que esa app es para una versión anterior de android?
He probado a hacer un Jetify pero el mensaje sigue saliendo:
1584462537101.png
 

cas6678

Active Member
Licensed User
Ya sois dos los que lo decis asi que me debo estar explicando de put@ pena 🥴

El tema es que cuando cambie a compilar con AndroidX SDK se cambio tambien la ubicacion de las librerias y suponia (sigo suponiendo) que debian estar en algun lado, por eso queria volver al pasado.

La verdad es que aun no entiendo de que va esto de AndroidX y Jetify pero tengo toda una cuarentena para averiguarlo.

De momento voy a ir rastreando donde consigo las librerias perdidas y empezare por ahi.

Gracias.
 

José J. Aguilar

Well-Known Member
Licensed User
Estás mezclando cosas. No debes mezclar las librerias internas (las que vienen con B4A al instalarlo) y las externas (las que descargas del foro). Crea por ejemplo una carpeta en Documentos/LibreriasB4A y guardalas ahi.
Luego en las rutas, configura en Librerias Externas esa ruta.

Ya si alguna vez Erel actualiza una libreria interna (hay un foro especifico para esas... esa si deberias grabarla en la ruta de instalacion de B4A en la carpeta Internal Libraries)

saludos
 

oparra

Active Member
Licensed User
Si las librerías internas no están actualizadas buscas en estos link

librerías internas (IDE):

https://www.b4x.com/android/forum/threads/updates-to-internal-libraries.59340/

Librerías clases usuario:

https://www.b4x.com/android/forum/threads/subscribe-to-library-updates.25000/

Recuerda que tienes que saber que versión de ide tienes y en que versiones están estas librerías, es mejor estar actualizando las mejoras y actualizaciones de librerías y clases.

Y recuerda que recomiendan trabajar en 64Byte.

y lo que dice jose aguilar es cierto lo de Jetify genera un jetifier.map para la compatibilidad de Android X, en las librerías adicionales.

Lo digo por experiencia personal.

Saludos,
 
Top